Bug 888052 - msgid string "launches the registration dialog on startup" has not been extracted/translated
Summary: msgid string "launches the registration dialog on startup" has not been extra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 5.10
Assignee: candlepin-bugs
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel510 rhsm-2013
TreeView+ depends on / blocked
 
Reported: 2012-12-17 22:34 UTC by John Sefler
Modified: 2013-09-30 22:53 UTC (History)
3 users (show)

Fixed In Version: 1.8.2
Doc Type: Bug Fix
Doc Text:
No description necessary
Clone Of:
Environment:
Last Closed: 2013-09-30 22:53:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1332 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-09-30 22:49:24 UTC

Description John Sefler 2012-12-17 22:34:45 UTC
Description of problem:

This is a followup to Bug 881091

[root@jsefler-6 ~]# LANG=ru_RU.UTF-8 subscription-manager-gui --help
Формат: subscription-manager-gui [ПАРАМЕТРЫ]

Параметры:
  -h, --help  показать это сообщение и выйти
  --register  launches the registration dialog on startup.
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
THERE IS NO TRANSLATION FOR THIS STRING IN ANY LANGUAGE AND I DO NOT SEE IT IN THE rhsm.mo FILES


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.15-1.el6.x86_64

Comment 1 RHEL Program Management 2012-12-21 06:48:12 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 Bryan Kearney 2013-01-08 14:09:56 UTC
commit 50d6db03c2d82df21c46501d8d767e1a02ed923e
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Mon Jan 7 15:03:06 2013 -0500

    888052: Add all binaries to the makefile path for gettext string extraction

Comment 5 Bryan Kearney 2013-02-08 17:18:31 UTC
Fixed in the 1.8.2 version of subscription-manager or python-rhsm

Comment 6 RHEL Program Management 2013-04-09 20:01:24 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 7 John Sefler 2013-04-11 23:44:00 UTC
Verifying Version...
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.5-1.el5

[root@jsefler-5 ~]# LANG=ru_RU.UTF-8 subscription-manager-gui --help
No handlers could be found for logger "rhsm-app.subscription_manager.isodate"
Формат: subscription-manager-gui [ПАРАМЕТРЫ]

параметры:
  -h, --help  показать это сообщение и выйти
  --register  открывает диалог регистрации при
              запуске


[root@jsefler-5 ~]# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo | grep "launches the registration dialog" -A1
msgid "launches the registration dialog on startup"
msgstr "открывает диалог регистрации при запуске"


VERIFIED: the --register option description has been localized

Comment 9 errata-xmlrpc 2013-09-30 22:53:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1332.html


Note You need to log in before you can comment on or make changes to this bug.